<div class="eh-w-100p eh-h-100p eh-xy-center eh-minw-28 eh-minh-28">
  <button *ngIf="!showSpinner" mat-icon-button class="e-mat-icon-button eh-w-100p eh-h-100p eh-minw-28 eh-minh-28"
    [matTooltip]="toolTip" [disabled]="disabled" (click)="onClick($event)">
    <mat-icon class="e-mat-icon" [ngClass]="iconCSS">{{icon}}</mat-icon>
  </button>

  <div *ngIf="showSpinner" class="e-spinner e-spinner--3 e-spinner--center eh-h-100v">
    <mat-spinner [diameter]="18" [strokeWidth]="2"></mat-spinner>
  </div>
</div>